Subject: Re: Virtex device tree generator proof of concept

From: David Gibson <[email-masked]>
Date: Thu, 7 Dec 2006 10:47:57 +1100

Hmm.. I seem to have missed the beginning of this thread, somehow.

On Wed, Dec 06, 2006 at 04:14:33PM -0700, Grant Likely wrote:
> On 12/6/06, Stephen Neuendorffer <[email-masked]> wrote:
> >
> > Hi Grant,
> >
> > This looks really cool...  I've hacked around in it a bit to generate
> > device trees that go more completely through dtc.  (I'd be happy
> > to push these modifications back to you, if you're interested...)
> 
> Yes please, send me your patches.
> 
> >
> > I'm curious if you've heard of anyone using device trees other than
> > at boot time: for instance, using an incomplete device tree blob to
> > represent components discovered at runtime?  It looks like it should
> > be possible to rip out alot of the code from kernel/powerpc/prom.c in
> > recent kernels to parse incomplete device trees, too...  Any thoughts?

That reminds me:  I was definitely thinking about implementing a
"graft" function in libfdt for merging a tree from one blob into
another.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson